taskId returned by the voice generation endpoint. When the task succeeds, the response contains voiceId, which can be used as the custom voice identifier in supported generation APIs.status field to determine the next action:wait_processing, processing_validate, or wait_validating: the task is still being processedsuccess: the voice is ready, use voiceId for future generation requestsprocessing_validate_fail or fail: the task failed, check errorMessage for detailsvoiceId, you can use the voice availability endpoint to confirm whether the generated voice can be used:curl --location 'https://api.kie.ai/api/v1/voice/record-info?taskId=undefined' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"msg": "success",
"data": {
"taskId": "xxx_task_id_xxx",
"voiceId": "xxx",
"status": "wait_processing, processing_validate: waiting for validation code, processing_validate_fail: failed to obtain validation code, wait_validating: waiting for verification, success, fail",
"errorCode": 500,
"errorMessage": "xxxxx"
}
}